3599f675f582266d69df79ec927cc719d613b106
[scilab.git] / scilab / modules / api_scilab / Makefile.in
1 # Makefile.in generated by automake 1.16.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2009 - Digiteo - Allan CORNET
19 #
20 # This file is distributed under the same license as the Scilab package.
21
22 ### SOURCES ###
23
24 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
25 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
26 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
27 #
28 # Copyright (C) 2012 - 2016 - Scilab Enterprises
29 #
30 # This file is hereby licensed under the terms of the GNU GPL v2.0,
31 # pursuant to article 5.3.4 of the CeCILL v.2.1.
32 # This file was originally licensed under the terms of the CeCILL v2.1,
33 # and continues to be available under such terms.
34 # For more information, see the COPYING file which you should have received
35 # along with this program.
36 #
37
38 ##########
39 ### Makefile included stuff
40 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
41 ##########
42
43
44
45 VPATH = @srcdir@
46 am__is_gnu_make = { \
47   if test -z '$(MAKELEVEL)'; then \
48     false; \
49   elif test -n '$(MAKE_HOST)'; then \
50     true; \
51   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
52     true; \
53   else \
54     false; \
55   fi; \
56 }
57 am__make_running_with_option = \
58   case $${target_option-} in \
59       ?) ;; \
60       *) echo "am__make_running_with_option: internal error: invalid" \
61               "target option '$${target_option-}' specified" >&2; \
62          exit 1;; \
63   esac; \
64   has_opt=no; \
65   sane_makeflags=$$MAKEFLAGS; \
66   if $(am__is_gnu_make); then \
67     sane_makeflags=$$MFLAGS; \
68   else \
69     case $$MAKEFLAGS in \
70       *\\[\ \   ]*) \
71         bs=\\; \
72         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
73           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
74     esac; \
75   fi; \
76   skip_next=no; \
77   strip_trailopt () \
78   { \
79     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
80   }; \
81   for flg in $$sane_makeflags; do \
82     test $$skip_next = yes && { skip_next=no; continue; }; \
83     case $$flg in \
84       *=*|--*) continue;; \
85         -*I) strip_trailopt 'I'; skip_next=yes;; \
86       -*I?*) strip_trailopt 'I';; \
87         -*O) strip_trailopt 'O'; skip_next=yes;; \
88       -*O?*) strip_trailopt 'O';; \
89         -*l) strip_trailopt 'l'; skip_next=yes;; \
90       -*l?*) strip_trailopt 'l';; \
91       -[dEDm]) skip_next=yes;; \
92       -[JT]) skip_next=yes;; \
93     esac; \
94     case $$flg in \
95       *$$target_option*) has_opt=yes; break;; \
96     esac; \
97   done; \
98   test $$has_opt = yes
99 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
100 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
101 pkgdatadir = $(datadir)/@PACKAGE@
102 pkgincludedir = $(includedir)/@PACKAGE@
103 pkglibdir = $(libdir)/@PACKAGE@
104 pkglibexecdir = $(libexecdir)/@PACKAGE@
105 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
106 install_sh_DATA = $(install_sh) -c -m 644
107 install_sh_PROGRAM = $(install_sh) -c
108 install_sh_SCRIPT = $(install_sh) -c
109 INSTALL_HEADER = $(INSTALL_DATA)
110 transform = $(program_transform_name)
111 NORMAL_INSTALL = :
112 PRE_INSTALL = :
113 POST_INSTALL = :
114 NORMAL_UNINSTALL = :
115 PRE_UNINSTALL = :
116 POST_UNINSTALL = :
117 build_triplet = @build@
118 host_triplet = @host@
119 @NEED_JAVA_TRUE@am__append_1 = java
120 subdir = modules/api_scilab
121 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
122 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
123         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
124         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
125         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
126         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
127         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
128         $(top_srcdir)/m4/intel_compiler.m4 \
129         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
130         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
131         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
132         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
133         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
134         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
135         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
136         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
137         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
138         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
139         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
140 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
141         $(ACLOCAL_M4)
142 DIST_COMMON = $(srcdir)/Makefile.am \
143         $(libsciapi_scilab_la_include_HEADERS) $(am__DIST_COMMON)
144 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
145 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
146 CONFIG_CLEAN_FILES =
147 CONFIG_CLEAN_VPATH_FILES =
148 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
149 am__vpath_adj = case $$p in \
150     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
151     *) f=$$p;; \
152   esac;
153 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
154 am__install_max = 40
155 am__nobase_strip_setup = \
156   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
157 am__nobase_strip = \
158   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
159 am__nobase_list = $(am__nobase_strip_setup); \
160   for p in $$list; do echo "$$p $$p"; done | \
161   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
162   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
163     if (++n[$$2] == $(am__install_max)) \
164       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
165     END { for (dir in files) print dir, files[dir] }'
166 am__base_list = \
167   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
168   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
169 am__uninstall_files_from_dir = { \
170   test -z "$$files" \
171     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
172     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
173          $(am__cd) "$$dir" && rm -f $$files; }; \
174   }
175 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
176         "$(DESTDIR)$(libsciapi_scilab_la_etcdir)" \
177         "$(DESTDIR)$(libsciapi_scilab_la_rootdir)" \
178         "$(DESTDIR)$(libsciapi_scilab_la_includedir)"
179 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
180 libsciapi_scilab_la_DEPENDENCIES =
181 am__dirstamp = $(am__leading_dot)dirstamp
182 am__objects_1 = src/cpp/libsciapi_scilab_la-api_stack_boolean.lo \
183         src/cpp/libsciapi_scilab_la-api_stack_boolean_sparse.lo \
184         src/cpp/libsciapi_scilab_la-api_stack_common.lo \
185         src/cpp/libsciapi_scilab_la-api_stack_double.lo \
186         src/cpp/libsciapi_scilab_la-api_stack_int.lo \
187         src/cpp/libsciapi_scilab_la-api_stack_list.lo \
188         src/cpp/libsciapi_scilab_la-api_stack_poly.lo \
189         src/cpp/libsciapi_scilab_la-api_stack_sparse.lo \
190         src/cpp/libsciapi_scilab_la-api_stack_string.lo \
191         src/cpp/libsciapi_scilab_la-api_stack_pointer.lo \
192         src/cpp/libsciapi_scilab_la-api_stack_handle.lo \
193         src/cpp/libsciapi_scilab_la-api_stack_error.lo \
194         src/cpp/libsciapi_scilab_la-api_stack_hypermat.lo \
195         src/cpp/libsciapi_scilab_la-api_stack_optional.lo \
196         src/cpp/libsciapi_scilab_la-returnProperty.lo \
197         src/cpp/libsciapi_scilab_la-returnPropertyList.lo \
198         src/cpp/libsciapi_scilab_la-api_template_safe.lo \
199         src/cpp/libsciapi_scilab_la-api_template_unsafe.lo \
200         src/cpp/libsciapi_scilab_la-api_error.lo
201 am_libsciapi_scilab_la_OBJECTS = $(am__objects_1)
202 libsciapi_scilab_la_OBJECTS = $(am_libsciapi_scilab_la_OBJECTS)
203 AM_V_lt = $(am__v_lt_@AM_V@)
204 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
205 am__v_lt_0 = --silent
206 am__v_lt_1 = 
207 libsciapi_scilab_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
208         $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
209         $(AM_CXXFLAGS) $(CXXFLAGS) $(libsciapi_scilab_la_LDFLAGS) \
210         $(LDFLAGS) -o $@
211 @MAINTAINER_MODE_FALSE@am_libsciapi_scilab_la_rpath =
212 @MAINTAINER_MODE_TRUE@am_libsciapi_scilab_la_rpath = -rpath \
213 @MAINTAINER_MODE_TRUE@  $(pkglibdir)
214 AM_V_P = $(am__v_P_@AM_V@)
215 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
216 am__v_P_0 = false
217 am__v_P_1 = :
218 AM_V_GEN = $(am__v_GEN_@AM_V@)
219 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
220 am__v_GEN_0 = @echo "  GEN     " $@;
221 am__v_GEN_1 = 
222 AM_V_at = $(am__v_at_@AM_V@)
223 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
224 am__v_at_0 = @
225 am__v_at_1 = 
226 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
227 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
228 am__maybe_remake_depfiles = depfiles
229 am__depfiles_remade =  \
230         src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_error.Plo \
231         src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_boolean.Plo \
232         src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_boolean_sparse.Plo \
233         src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_common.Plo \
234         src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_double.Plo \
235         src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_error.Plo \
236         src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_handle.Plo \
237         src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_hypermat.Plo \
238         src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_int.Plo \
239         src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_list.Plo \
240         src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_optional.Plo \
241         src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_pointer.Plo \
242         src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_poly.Plo \
243         src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_sparse.Plo \
244         src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_string.Plo \
245         src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_template_safe.Plo \
246         src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_template_unsafe.Plo \
247         src/cpp/$(DEPDIR)/libsciapi_scilab_la-returnProperty.Plo \
248         src/cpp/$(DEPDIR)/libsciapi_scilab_la-returnPropertyList.Plo
249 am__mv = mv -f
250 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
251         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
252 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
253         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
254         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
255         $(AM_CXXFLAGS) $(CXXFLAGS)
256 AM_V_CXX = $(am__v_CXX_@AM_V@)
257 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
258 am__v_CXX_0 = @echo "  CXX     " $@;
259 am__v_CXX_1 = 
260 CXXLD = $(CXX)
261 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
262         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
263         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
264 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
265 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
266 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
267 am__v_CXXLD_1 = 
268 SOURCES = $(libsciapi_scilab_la_SOURCES)
269 DIST_SOURCES = $(libsciapi_scilab_la_SOURCES)
270 am__can_run_installinfo = \
271   case $$AM_UPDATE_INFO_DIR in \
272     n|no|NO) false;; \
273     *) (install-info --version) >/dev/null 2>&1;; \
274   esac
275 DATA = $(libsciapi_scilab_la_etc_DATA) \
276         $(libsciapi_scilab_la_root_DATA)
277 HEADERS = $(libsciapi_scilab_la_include_HEADERS)
278 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
279 # Read a list of newline-separated strings from the standard input,
280 # and print each of them once, without duplicates.  Input order is
281 # *not* preserved.
282 am__uniquify_input = $(AWK) '\
283   BEGIN { nonempty = 0; } \
284   { items[$$0] = 1; nonempty = 1; } \
285   END { if (nonempty) { for (i in items) print i; }; } \
286 '
287 # Make sure the list of sources is unique.  This is necessary because,
288 # e.g., the same source file might be shared among _SOURCES variables
289 # for different programs/libraries.
290 am__define_uniq_tagged_files = \
291   list='$(am__tagged_files)'; \
292   unique=`for i in $$list; do \
293     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
294   done | $(am__uniquify_input)`
295 ETAGS = etags
296 CTAGS = ctags
297 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am \
298         $(top_srcdir)/config/depcomp \
299         $(top_srcdir)/config/mkinstalldirs
300 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
301 ACLOCAL = @ACLOCAL@
302 ALL_LINGUAS = @ALL_LINGUAS@
303 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
304 AMTAR = @AMTAR@
305 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
306 ANT = @ANT@
307 ANTLR = @ANTLR@
308 AR = @AR@
309 ARPACK_LIBS = @ARPACK_LIBS@
310 ASM3 = @ASM3@
311 AUTOCONF = @AUTOCONF@
312 AUTOHEADER = @AUTOHEADER@
313 AUTOMAKE = @AUTOMAKE@
314 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
315 AWK = @AWK@
316 BATIK = @BATIK@
317 BLAS_CFLAGS = @BLAS_CFLAGS@
318 BLAS_LIBS = @BLAS_LIBS@
319 CC = @CC@
320 CCACHE = @CCACHE@
321 CCDEPMODE = @CCDEPMODE@
322 CFLAGS = @CFLAGS@
323 CHECKSTYLE = @CHECKSTYLE@
324 COBERTURA = @COBERTURA@
325 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
326 COMMONS_IO = @COMMONS_IO@
327 COMMONS_LOGGING = @COMMONS_LOGGING@
328 CPP = @CPP@
329 CPPFLAGS = @CPPFLAGS@
330 CURL_CFLAGS = @CURL_CFLAGS@
331 CURL_CONFIG = @CURL_CONFIG@
332 CURL_LIBS = @CURL_LIBS@
333 CURL_VERSION = @CURL_VERSION@
334 CXX = @CXX@
335 CXXCPP = @CXXCPP@
336 CXXDEPMODE = @CXXDEPMODE@
337 CXXFLAGS = @CXXFLAGS@
338 CYGPATH_W = @CYGPATH_W@
339 DEFS = @DEFS@
340 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
341 DEPDIR = @DEPDIR@
342 DLLTOOL = @DLLTOOL@
343 DOCBOOK_ROOT = @DOCBOOK_ROOT@
344 DOXYGEN_BIN = @DOXYGEN_BIN@
345 DSYMUTIL = @DSYMUTIL@
346 DUMPBIN = @DUMPBIN@
347 ECHO_C = @ECHO_C@
348 ECHO_N = @ECHO_N@
349 ECHO_T = @ECHO_T@
350 ECJ = @ECJ@
351 EGREP = @EGREP@
352 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
353 EXEEXT = @EXEEXT@
354 F77 = @F77@
355 FFLAGS = @FFLAGS@
356 FFTW3_LIB = @FFTW3_LIB@
357 FFTW_ENABLE = @FFTW_ENABLE@
358 FGREP = @FGREP@
359 FLEXDOCK = @FLEXDOCK@
360 FLIBS = @FLIBS@
361 FOP = @FOP@
362 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
363 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
364 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
365 FREEHEP_IO = @FREEHEP_IO@
366 FREEHEP_UTIL = @FREEHEP_UTIL@
367 GENHTML = @GENHTML@
368 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
369 GIWS_BIN = @GIWS_BIN@
370 GLUEGEN2_RT = @GLUEGEN2_RT@
371 GMSGFMT = @GMSGFMT@
372 GMSGFMT_015 = @GMSGFMT_015@
373 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
374 GREP = @GREP@
375 GUI_ENABLE = @GUI_ENABLE@
376 HAMCREST = @HAMCREST@
377 HAVE_CXX11 = @HAVE_CXX11@
378 HDF5_CFLAGS = @HDF5_CFLAGS@
379 HDF5_LIBS = @HDF5_LIBS@
380 HELP_ENABLE = @HELP_ENABLE@
381 INSTALL = @INSTALL@
382 INSTALL_DATA = @INSTALL_DATA@
383 INSTALL_PROGRAM = @INSTALL_PROGRAM@
384 INSTALL_SCRIPT = @INSTALL_SCRIPT@
385 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
386 INTLLIBS = @INTLLIBS@
387 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
388 JAR = @JAR@
389 JAVA = @JAVA@
390 JAVAC = @JAVAC@
391 JAVAC_DEBUG = @JAVAC_DEBUG@
392 JAVADOC = @JAVADOC@
393 JAVAH = @JAVAH@
394 JAVASCI_ENABLE = @JAVASCI_ENABLE@
395 JAVA_ENABLE = @JAVA_ENABLE@
396 JAVA_G = @JAVA_G@
397 JAVA_HOME = @JAVA_HOME@
398 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
399 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
400 JDB = @JDB@
401 JEUCLID_CORE = @JEUCLID_CORE@
402 JGRAPHX = @JGRAPHX@
403 JHALL = @JHALL@
404 JLATEXMATH = @JLATEXMATH@
405 JLATEXMATH_FOP = @JLATEXMATH_FOP@
406 JOGL2 = @JOGL2@
407 JROSETTA_API = @JROSETTA_API@
408 JROSETTA_ENGINE = @JROSETTA_ENGINE@
409 JUNIT4 = @JUNIT4@
410 LAPACK_LIBS = @LAPACK_LIBS@
411 LCOV = @LCOV@
412 LD = @LD@
413 LDFLAGS = @LDFLAGS@
414 LEX = @LEX@
415 LEXLIB = @LEXLIB@
416 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
417 LIBICONV = @LIBICONV@
418 LIBINTL = @LIBINTL@
419 LIBM = @LIBM@
420 LIBOBJS = @LIBOBJS@
421 LIBS = @LIBS@
422 LIBTOOL = @LIBTOOL@
423 LIPO = @LIPO@
424 LN_S = @LN_S@
425 LOGGING_LEVEL = @LOGGING_LEVEL@
426 LOOKS = @LOOKS@
427 LTLIBICONV = @LTLIBICONV@
428 LTLIBINTL = @LTLIBINTL@
429 LTLIBOBJS = @LTLIBOBJS@
430 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
431 LUCENE = @LUCENE@
432 LUCENE_ANALYZER = @LUCENE_ANALYZER@
433 LUCENE_PARSER = @LUCENE_PARSER@
434 MAINT = @MAINT@
435 MAKEINFO = @MAKEINFO@
436 MANIFEST_TOOL = @MANIFEST_TOOL@
437 MATIO_CFLAGS = @MATIO_CFLAGS@
438 MATIO_ENABLE = @MATIO_ENABLE@
439 MATIO_LIBS = @MATIO_LIBS@
440 MKDIR_P = @MKDIR_P@
441 MPI_ENABLE = @MPI_ENABLE@
442 MSGCAT = @MSGCAT@
443 MSGFMT = @MSGFMT@
444 MSGFMT_015 = @MSGFMT_015@
445 MSGMERGE = @MSGMERGE@
446 NM = @NM@
447 NMEDIT = @NMEDIT@
448 OBJDUMP = @OBJDUMP@
449 OBJEXT = @OBJEXT@
450 OCAMLC = @OCAMLC@
451 OCAMLDEP = @OCAMLDEP@
452 OCAMLLEX = @OCAMLLEX@
453 OCAMLOPT = @OCAMLOPT@
454 OCAMLYACC = @OCAMLYACC@
455 OPENMPI_CC = @OPENMPI_CC@
456 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
457 OPENMPI_CXX = @OPENMPI_CXX@
458 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
459 OPENMPI_LIBS = @OPENMPI_LIBS@
460 OPENMP_CFLAGS = @OPENMP_CFLAGS@
461 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
462 OPENMP_ENABLE = @OPENMP_ENABLE@
463 OPENMP_LIBS = @OPENMP_LIBS@
464 OTOOL = @OTOOL@
465 OTOOL64 = @OTOOL64@
466 PACKAGE = @PACKAGE@
467 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
468 PACKAGE_NAME = @PACKAGE_NAME@
469 PACKAGE_STRING = @PACKAGE_STRING@
470 PACKAGE_TARNAME = @PACKAGE_TARNAME@
471 PACKAGE_URL = @PACKAGE_URL@
472 PACKAGE_VERSION = @PACKAGE_VERSION@
473 PATH_SEPARATOR = @PATH_SEPARATOR@
474 PCRE_CFLAGS = @PCRE_CFLAGS@
475 PCRE_CONFIG = @PCRE_CONFIG@
476 PCRE_LIBS = @PCRE_LIBS@
477 PCRE_VERSION = @PCRE_VERSION@
478 PKG_CONFIG = @PKG_CONFIG@
479 POSUB = @POSUB@
480 POW_LIB = @POW_LIB@
481 PYTHON = @PYTHON@
482 RANLIB = @RANLIB@
483 RELOCATABLE = @RELOCATABLE@
484 RT_LIB = @RT_LIB@
485 SAXON = @SAXON@
486 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
487 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
488 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
489 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
490 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
491 SCIRENDERER = @SCIRENDERER@
492 SCIRENDERER_CP = @SCIRENDERER_CP@
493 SCI_CFLAGS = @SCI_CFLAGS@
494 SCI_CXXFLAGS = @SCI_CXXFLAGS@
495 SCI_FFLAGS = @SCI_FFLAGS@
496 SCI_LDFLAGS = @SCI_LDFLAGS@
497 SED = @SED@
498 SET_MAKE = @SET_MAKE@
499 SET_RELOCATABLE = @SET_RELOCATABLE@
500 SHELL = @SHELL@
501 SKINLF = @SKINLF@
502 SPLINT = @SPLINT@
503 STRIP = @STRIP@
504 SWIG_BIN = @SWIG_BIN@
505 SWIG_JAVA = @SWIG_JAVA@
506 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
507 SWIG_SCILAB = @SWIG_SCILAB@
508 TCLTK_LIBS = @TCLTK_LIBS@
509 TCL_INC_PATH = @TCL_INC_PATH@
510 TK_INC_PATH = @TK_INC_PATH@
511 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
512 UMFPACK_ENABLE = @UMFPACK_ENABLE@
513 UMFPACK_LIB = @UMFPACK_LIB@
514 USE_NLS = @USE_NLS@
515 VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
516 VALGRIND_LIBS = @VALGRIND_LIBS@
517 VERSION = @VERSION@
518 WITH_OCAML = @WITH_OCAML@
519 WITH_TKSCI = @WITH_TKSCI@
520 XCOS_ENABLE = @XCOS_ENABLE@
521 XGETTEXT = @XGETTEXT@
522 XGETTEXT_015 = @XGETTEXT_015@
523 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
524 XMKMF = @XMKMF@
525 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
526 XML_APIS_EXT = @XML_APIS_EXT@
527 XML_CONFIG = @XML_CONFIG@
528 XML_FLAGS = @XML_FLAGS@
529 XML_LIBS = @XML_LIBS@
530 XML_VERSION = @XML_VERSION@
531 X_CFLAGS = @X_CFLAGS@
532 X_EXTRA_LIBS = @X_EXTRA_LIBS@
533 X_LIBS = @X_LIBS@
534 X_PRE_LIBS = @X_PRE_LIBS@
535 YACC = @YACC@
536 YFLAGS = @YFLAGS@
537 abs_builddir = @abs_builddir@
538 abs_srcdir = @abs_srcdir@
539 abs_top_builddir = @abs_top_builddir@
540 abs_top_srcdir = @abs_top_srcdir@
541 ac_ct_AR = @ac_ct_AR@
542 ac_ct_CC = @ac_ct_CC@
543 ac_ct_CXX = @ac_ct_CXX@
544 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
545 ac_ct_F77 = @ac_ct_F77@
546 am__include = @am__include@
547 am__leading_dot = @am__leading_dot@
548 am__quote = @am__quote@
549 am__tar = @am__tar@
550 am__untar = @am__untar@
551 bindir = @bindir@
552 build = @build@
553 build_alias = @build_alias@
554 build_cpu = @build_cpu@
555 build_os = @build_os@
556 build_vendor = @build_vendor@
557 builddir = @builddir@
558 cxx_present = @cxx_present@
559 datadir = @datadir@
560 datarootdir = @datarootdir@
561 docdir = @docdir@
562 dvidir = @dvidir@
563 exec_prefix = @exec_prefix@
564 host = @host@
565 host_alias = @host_alias@
566 host_cpu = @host_cpu@
567 host_os = @host_os@
568 host_vendor = @host_vendor@
569 htmldir = @htmldir@
570 includedir = @includedir@
571 infodir = @infodir@
572 install_sh = @install_sh@
573 libdir = @libdir@
574 libexecdir = @libexecdir@
575 localedir = @localedir@
576 localstatedir = @localstatedir@
577 mandir = @mandir@
578 mkdir_p = @mkdir_p@
579 oldincludedir = @oldincludedir@
580 pdfdir = @pdfdir@
581 prefix = @prefix@
582 program_transform_name = @program_transform_name@
583 psdir = @psdir@
584 sbindir = @sbindir@
585 sharedstatedir = @sharedstatedir@
586 srcdir = @srcdir@
587 sysconfdir = @sysconfdir@
588 target_alias = @target_alias@
589 top_build_prefix = @top_build_prefix@
590 top_builddir = @top_builddir@
591 top_srcdir = @top_srcdir@
592 yacc_present = @yacc_present@
593 API_SCILAB_CXX_SOURCES = \
594     src/cpp/api_stack_boolean.cpp \
595     src/cpp/api_stack_boolean_sparse.cpp \
596     src/cpp/api_stack_common.cpp \
597     src/cpp/api_stack_double.cpp \
598     src/cpp/api_stack_int.cpp \
599     src/cpp/api_stack_list.cpp \
600     src/cpp/api_stack_poly.cpp \
601     src/cpp/api_stack_sparse.cpp \
602     src/cpp/api_stack_string.cpp \
603     src/cpp/api_stack_pointer.cpp \
604     src/cpp/api_stack_handle.cpp \
605     src/cpp/api_stack_error.cpp \
606     src/cpp/api_stack_hypermat.cpp \
607     src/cpp/api_stack_optional.cpp \
608     src/cpp/returnProperty.cpp \
609     src/cpp/returnPropertyList.cpp \
610     src/cpp/api_template_safe.cpp \
611     src/cpp/api_template_unsafe.cpp \
612     src/cpp/api_error.cpp
613
614 libsciapi_scilab_la_CPPFLAGS = \
615     -I$(srcdir)/includes/ \
616     -I$(srcdir)/src/cpp/ \
617     -I$(srcdir)/src/c/ \
618     -I$(top_srcdir)/modules/ast/includes/ast/ \
619     -I$(top_srcdir)/modules/ast/includes/exps/ \
620     -I$(top_srcdir)/modules/ast/includes/operations/ \
621     -I$(top_srcdir)/modules/ast/includes/parse/ \
622     -I$(top_srcdir)/modules/ast/includes/symbol/ \
623     -I$(top_srcdir)/modules/ast/includes/system_env/ \
624     -I$(top_srcdir)/modules/ast/includes/types/ \
625     -I$(top_srcdir)/modules/ast/includes/analysis/ \
626     -I$(top_srcdir)/modules/core/includes \
627     -I$(top_srcdir)/modules/call_scilab/includes \
628     -I$(top_srcdir)/modules/localization/includes \
629     -I$(top_srcdir)/modules/output_stream/includes \
630     -I$(top_srcdir)/modules/elementary_functions/includes \
631     -I$(top_srcdir)/modules/string/includes \
632     -I$(top_srcdir)/modules/dynamic_link/includes \
633     -I$(top_srcdir)/modules/threads/includes \
634     $(AM_CPPFLAGS)
635
636 @MAINTAINER_MODE_TRUE@pkglib_LTLIBRARIES = libsciapi_scilab.la
637 @MAINTAINER_MODE_FALSE@noinst_LTLIBRARIES = libsciapi_scilab.la
638 libsciapi_scilab_la_LDFLAGS = -version-number $(SCILAB_LIBRARY_VERSION)
639 libsciapi_scilab_la_SOURCES = $(API_SCILAB_C_SOURCES) $(API_SCILAB_CXX_SOURCES)
640
641 # For the code check (splint)
642 CHECK_SRC = $(libsciapi_scilab_la_SOURCES)
643 INCLUDE_FLAGS = $(libsciapi_scilab_la_CPPFLAGS)
644 libsciapi_scilab_la_LIBADD = 
645 #
646
647 #### Target ######
648 modulename = api_scilab
649
650 #### api_scilab : Conf files ####
651 libsciapi_scilab_la_rootdir = $(mydatadir)
652 libsciapi_scilab_la_root_DATA = license.txt
653
654 #### api_scilab : init scripts ####
655 libsciapi_scilab_la_etcdir = $(mydatadir)/etc
656 libsciapi_scilab_la_etc_DATA = \
657     etc/api_scilab.quit \
658     etc/api_scilab.start
659
660
661 #### api_scilab : include files ####
662 libsciapi_scilab_la_includedir = $(pkgincludedir)
663 libsciapi_scilab_la_include_HEADERS = \
664 includes/api_stack_boolean.h \
665 includes/api_stack_boolean_sparse.h \
666 includes/api_stack_common.h \
667 includes/api_stack_error.h \
668 includes/api_stack_double.h \
669 includes/api_stack_hypermat.h \
670 includes/api_stack_int.h \
671 includes/api_stack_list.h \
672 includes/api_stack_pointer.h \
673 includes/api_stack_poly.h \
674 includes/api_stack_sparse.h \
675 includes/api_stack_string.h \
676 includes/api_stack_handle.h \
677 includes/api_stack_optional.h \
678 includes/api_scilab.h \
679 includes/dynlib_api_scilab.h \
680 includes/api_boolean.h \
681 includes/api_cell.h \
682 includes/api_common.h \
683 includes/api_double.h \
684 includes/api_error.h \
685 includes/api_int.h \
686 includes/api_list.h \
687 includes/api_poly.h \
688 includes/api_pointer.h \
689 includes/api_struct.h \
690 includes/api_string.h \
691 includes/api_handle.h \
692 includes/api_optional.h \
693 includes/api_scilab.hxx
694
695
696 # Where all the Scilab stuff is installed (macros, help, ...)
697 mydatadir = $(pkgdatadir)/modules/$(modulename)
698
699 # Set AM_* SCI detected settings
700 AM_CPPFLAGS = $(SCI_CPPFLAGS)
701 AM_CFLAGS = $(SCI_CFLAGS)
702 AM_CXXFLAGS = $(SCI_CXXFLAGS)
703 # append includes to AM_FFLAGS to manage fortran includes
704 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
705
706 # Tag shared libraries with the Scilab version
707 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
708
709 # splint options
710 SPLINT_OPTIONS = -weak -booltype BOOL
711
712 ########################### JAVA ######################################
713 #### We are delegating java compilation to ant... Thanks to that
714 #### the procedure will be the same with Microsoft Windows (C)
715 #### and Linux/Unix
716 #######################################################################
717 TARGETS_ALL = $(am__append_1)
718
719 ################ MACROS ######################
720 # Rule to build a macro
721 # NOT USED  AT THE MOMENT
722 SUFFIXES = .sci 
723
724 ########### INSTALL DOCUMENTATION ###################
725
726 # Install documentation files into the right target
727 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
728 # automake needs the html files to be present which is not the case when
729 # we are building Scilab
730
731 # Where it should be installed
732 pkgdocdir = $(mydatadir)
733
734 # What is the mask of the help source
735 DOCMASKXML = *.xml
736
737 # What is the mask of the MathML sources
738 DOCMASKMML = *.mml
739
740 ########### INSTALL DATA ###################
741 # Install macros, help & demos
742 # Where it should be installed
743 pkgmacrosdir = $(mydatadir)
744 # Which directory we process
745 MACRODIRS = macros/
746 # Mask of the Scilab sources macros
747 MACROMASK = *.sci
748 # Mask of the Scilab executable sources macros
749 MACROBUILDMASK = *.sce
750 # Mask of the Scilab compiled macros
751 MACROBINMASK = *.bin
752 # List of the standard directory for tests
753 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
754 # Where the demos should be installed
755 pkgdemosdir = $(mydatadir)
756 # List of the standard directory for demos
757 DEMOS_DIR = demos
758 # List of the standard directory for examples
759 EXAMPLES_DIR = examples
760 # Where to export JAVA archives (.jar)
761 JARDIR = jar/
762 # JAR files mask
763 JARMASK = *.jar
764 # Chapter file 
765 HELP_CHAPTERDIR = help/
766 HELP_CHAPTERFILE = addchapter.sce
767 HELP_CHAPTERLANG = en_US fr_FR pt_BR
768 all: all-am
769
770 .SUFFIXES:
771 .SUFFIXES: .sci .bin .cpp .lo .o .obj
772 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
773         @for dep in $?; do \
774           case '$(am__configure_deps)' in \
775             *$$dep*) \
776               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
777                 && { if test -f $@; then exit 0; else break; fi; }; \
778               exit 1;; \
779           esac; \
780         done; \
781         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/api_scilab/Makefile'; \
782         $(am__cd) $(top_srcdir) && \
783           $(AUTOMAKE) --foreign modules/api_scilab/Makefile
784 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
785         @case '$?' in \
786           *config.status*) \
787             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
788           *) \
789             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
790             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
791         esac;
792 $(top_srcdir)/Makefile.incl.am $(am__empty):
793
794 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
795         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
796
797 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
798         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
799 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
800         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
801 $(am__aclocal_m4_deps):
802
803 clean-noinstLTLIBRARIES:
804         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
805         @list='$(noinst_LTLIBRARIES)'; \
806         locs=`for p in $$list; do echo $$p; done | \
807               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
808               sort -u`; \
809         test -z "$$locs" || { \
810           echo rm -f $${locs}; \
811           rm -f $${locs}; \
812         }
813
814 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
815         @$(NORMAL_INSTALL)
816         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
817         list2=; for p in $$list; do \
818           if test -f $$p; then \
819             list2="$$list2 $$p"; \
820           else :; fi; \
821         done; \
822         test -z "$$list2" || { \
823           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
824           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
825           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
826           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
827         }
828
829 uninstall-pkglibLTLIBRARIES:
830         @$(NORMAL_UNINSTALL)
831         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
832         for p in $$list; do \
833           $(am__strip_dir) \
834           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
835           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
836         done
837
838 clean-pkglibLTLIBRARIES:
839         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
840         @list='$(pkglib_LTLIBRARIES)'; \
841         locs=`for p in $$list; do echo $$p; done | \
842               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
843               sort -u`; \
844         test -z "$$locs" || { \
845           echo rm -f $${locs}; \
846           rm -f $${locs}; \
847         }
848 src/cpp/$(am__dirstamp):
849         @$(MKDIR_P) src/cpp
850         @: > src/cpp/$(am__dirstamp)
851 src/cpp/$(DEPDIR)/$(am__dirstamp):
852         @$(MKDIR_P) src/cpp/$(DEPDIR)
853         @: > src/cpp/$(DEPDIR)/$(am__dirstamp)
854 src/cpp/libsciapi_scilab_la-api_stack_boolean.lo:  \
855         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
856 src/cpp/libsciapi_scilab_la-api_stack_boolean_sparse.lo:  \
857         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
858 src/cpp/libsciapi_scilab_la-api_stack_common.lo:  \
859         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
860 src/cpp/libsciapi_scilab_la-api_stack_double.lo:  \
861         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
862 src/cpp/libsciapi_scilab_la-api_stack_int.lo: src/cpp/$(am__dirstamp) \
863         src/cpp/$(DEPDIR)/$(am__dirstamp)
864 src/cpp/libsciapi_scilab_la-api_stack_list.lo:  \
865         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
866 src/cpp/libsciapi_scilab_la-api_stack_poly.lo:  \
867         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
868 src/cpp/libsciapi_scilab_la-api_stack_sparse.lo:  \
869         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
870 src/cpp/libsciapi_scilab_la-api_stack_string.lo:  \
871         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
872 src/cpp/libsciapi_scilab_la-api_stack_pointer.lo:  \
873         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
874 src/cpp/libsciapi_scilab_la-api_stack_handle.lo:  \
875         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
876 src/cpp/libsciapi_scilab_la-api_stack_error.lo:  \
877         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
878 src/cpp/libsciapi_scilab_la-api_stack_hypermat.lo:  \
879         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
880 src/cpp/libsciapi_scilab_la-api_stack_optional.lo:  \
881         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
882 src/cpp/libsciapi_scilab_la-returnProperty.lo:  \
883         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
884 src/cpp/libsciapi_scilab_la-returnPropertyList.lo:  \
885         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
886 src/cpp/libsciapi_scilab_la-api_template_safe.lo:  \
887         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
888 src/cpp/libsciapi_scilab_la-api_template_unsafe.lo:  \
889         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
890 src/cpp/libsciapi_scilab_la-api_error.lo: src/cpp/$(am__dirstamp) \
891         src/cpp/$(DEPDIR)/$(am__dirstamp)
892
893 libsciapi_scilab.la: $(libsciapi_scilab_la_OBJECTS) $(libsciapi_scilab_la_DEPENDENCIES) $(EXTRA_libsciapi_scilab_la_DEPENDENCIES) 
894         $(AM_V_CXXLD)$(libsciapi_scilab_la_LINK) $(am_libsciapi_scilab_la_rpath) $(libsciapi_scilab_la_OBJECTS) $(libsciapi_scilab_la_LIBADD) $(LIBS)
895
896 mostlyclean-compile:
897         -rm -f *.$(OBJEXT)
898         -rm -f src/cpp/*.$(OBJEXT)
899         -rm -f src/cpp/*.lo
900
901 distclean-compile:
902         -rm -f *.tab.c
903
904 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_error.Plo@am__quote@ # am--include-marker
905 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_boolean.Plo@am__quote@ # am--include-marker
906 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_boolean_sparse.Plo@am__quote@ # am--include-marker
907 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_common.Plo@am__quote@ # am--include-marker
908 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_double.Plo@am__quote@ # am--include-marker
909 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_error.Plo@am__quote@ # am--include-marker
910 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_handle.Plo@am__quote@ # am--include-marker
911 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_hypermat.Plo@am__quote@ # am--include-marker
912 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_int.Plo@am__quote@ # am--include-marker
913 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_list.Plo@am__quote@ # am--include-marker
914 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_optional.Plo@am__quote@ # am--include-marker
915 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_pointer.Plo@am__quote@ # am--include-marker
916 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_poly.Plo@am__quote@ # am--include-marker
917 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_sparse.Plo@am__quote@ # am--include-marker
918 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_string.Plo@am__quote@ # am--include-marker
919 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_template_safe.Plo@am__quote@ # am--include-marker
920 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_template_unsafe.Plo@am__quote@ # am--include-marker
921 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-returnProperty.Plo@am__quote@ # am--include-marker
922 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciapi_scilab_la-returnPropertyList.Plo@am__quote@ # am--include-marker
923
924 $(am__depfiles_remade):
925         @$(MKDIR_P) $(@D)
926         @echo '# dummy' >$@-t && $(am__mv) $@-t $@
927
928 am--depfiles: $(am__depfiles_remade)
929
930 .cpp.o:
931 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
932 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
933 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
934 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
935 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
936 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
937
938 .cpp.obj:
939 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
940 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
941 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
942 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
943 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
944 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
945
946 .cpp.lo:
947 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
948 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
949 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
950 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
951 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
952 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
953
954 src/cpp/libsciapi_scilab_la-api_stack_boolean.lo: src/cpp/api_stack_boolean.cpp
955 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_boolean.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_boolean.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_boolean.lo `test -f 'src/cpp/api_stack_boolean.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_boolean.cpp
956 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_boolean.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_boolean.Plo
957 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_boolean.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_boolean.lo' libtool=yes @AMDEPBACKSLASH@
958 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
959 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_boolean.lo `test -f 'src/cpp/api_stack_boolean.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_boolean.cpp
960
961 src/cpp/libsciapi_scilab_la-api_stack_boolean_sparse.lo: src/cpp/api_stack_boolean_sparse.cpp
962 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_boolean_sparse.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_boolean_sparse.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_boolean_sparse.lo `test -f 'src/cpp/api_stack_boolean_sparse.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_boolean_sparse.cpp
963 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_boolean_sparse.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_boolean_sparse.Plo
964 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_boolean_sparse.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_boolean_sparse.lo' libtool=yes @AMDEPBACKSLASH@
965 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
966 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_boolean_sparse.lo `test -f 'src/cpp/api_stack_boolean_sparse.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_boolean_sparse.cpp
967
968 src/cpp/libsciapi_scilab_la-api_stack_common.lo: src/cpp/api_stack_common.cpp
969 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_common.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_common.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_common.lo `test -f 'src/cpp/api_stack_common.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_common.cpp
970 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_common.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_common.Plo
971 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_common.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_common.lo' libtool=yes @AMDEPBACKSLASH@
972 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
973 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_common.lo `test -f 'src/cpp/api_stack_common.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_common.cpp
974
975 src/cpp/libsciapi_scilab_la-api_stack_double.lo: src/cpp/api_stack_double.cpp
976 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_double.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_double.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_double.lo `test -f 'src/cpp/api_stack_double.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_double.cpp
977 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_double.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_double.Plo
978 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_double.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_double.lo' libtool=yes @AMDEPBACKSLASH@
979 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
980 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_double.lo `test -f 'src/cpp/api_stack_double.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_double.cpp
981
982 src/cpp/libsciapi_scilab_la-api_stack_int.lo: src/cpp/api_stack_int.cpp
983 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_int.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_int.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_int.lo `test -f 'src/cpp/api_stack_int.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_int.cpp
984 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_int.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_int.Plo
985 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_int.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_int.lo' libtool=yes @AMDEPBACKSLASH@
986 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
987 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_int.lo `test -f 'src/cpp/api_stack_int.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_int.cpp
988
989 src/cpp/libsciapi_scilab_la-api_stack_list.lo: src/cpp/api_stack_list.cpp
990 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_list.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_list.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_list.lo `test -f 'src/cpp/api_stack_list.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_list.cpp
991 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_list.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_list.Plo
992 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_list.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_list.lo' libtool=yes @AMDEPBACKSLASH@
993 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
994 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_list.lo `test -f 'src/cpp/api_stack_list.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_list.cpp
995
996 src/cpp/libsciapi_scilab_la-api_stack_poly.lo: src/cpp/api_stack_poly.cpp
997 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_poly.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_poly.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_poly.lo `test -f 'src/cpp/api_stack_poly.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_poly.cpp
998 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_poly.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_poly.Plo
999 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_poly.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_poly.lo' libtool=yes @AMDEPBACKSLASH@
1000 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1001 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_poly.lo `test -f 'src/cpp/api_stack_poly.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_poly.cpp
1002
1003 src/cpp/libsciapi_scilab_la-api_stack_sparse.lo: src/cpp/api_stack_sparse.cpp
1004 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_sparse.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_sparse.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_sparse.lo `test -f 'src/cpp/api_stack_sparse.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_sparse.cpp
1005 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_sparse.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_sparse.Plo
1006 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_sparse.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_sparse.lo' libtool=yes @AMDEPBACKSLASH@
1007 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1008 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_sparse.lo `test -f 'src/cpp/api_stack_sparse.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_sparse.cpp
1009
1010 src/cpp/libsciapi_scilab_la-api_stack_string.lo: src/cpp/api_stack_string.cpp
1011 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_string.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_string.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_string.lo `test -f 'src/cpp/api_stack_string.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_string.cpp
1012 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_string.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_string.Plo
1013 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_string.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_string.lo' libtool=yes @AMDEPBACKSLASH@
1014 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1015 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_string.lo `test -f 'src/cpp/api_stack_string.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_string.cpp
1016
1017 src/cpp/libsciapi_scilab_la-api_stack_pointer.lo: src/cpp/api_stack_pointer.cpp
1018 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_pointer.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_pointer.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_pointer.lo `test -f 'src/cpp/api_stack_pointer.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_pointer.cpp
1019 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_pointer.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_pointer.Plo
1020 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_pointer.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_pointer.lo' libtool=yes @AMDEPBACKSLASH@
1021 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1022 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_pointer.lo `test -f 'src/cpp/api_stack_pointer.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_pointer.cpp
1023
1024 src/cpp/libsciapi_scilab_la-api_stack_handle.lo: src/cpp/api_stack_handle.cpp
1025 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_handle.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_handle.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_handle.lo `test -f 'src/cpp/api_stack_handle.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_handle.cpp
1026 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_handle.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_handle.Plo
1027 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_handle.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_handle.lo' libtool=yes @AMDEPBACKSLASH@
1028 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1029 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_handle.lo `test -f 'src/cpp/api_stack_handle.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_handle.cpp
1030
1031 src/cpp/libsciapi_scilab_la-api_stack_error.lo: src/cpp/api_stack_error.cpp
1032 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_error.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_error.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_error.lo `test -f 'src/cpp/api_stack_error.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_error.cpp
1033 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_error.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_error.Plo
1034 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_error.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_error.lo' libtool=yes @AMDEPBACKSLASH@
1035 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1036 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_error.lo `test -f 'src/cpp/api_stack_error.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_error.cpp
1037
1038 src/cpp/libsciapi_scilab_la-api_stack_hypermat.lo: src/cpp/api_stack_hypermat.cpp
1039 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_hypermat.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_hypermat.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_hypermat.lo `test -f 'src/cpp/api_stack_hypermat.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_hypermat.cpp
1040 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_hypermat.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_hypermat.Plo
1041 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_hypermat.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_hypermat.lo' libtool=yes @AMDEPBACKSLASH@
1042 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1043 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_hypermat.lo `test -f 'src/cpp/api_stack_hypermat.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_hypermat.cpp
1044
1045 src/cpp/libsciapi_scilab_la-api_stack_optional.lo: src/cpp/api_stack_optional.cpp
1046 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_stack_optional.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_optional.Tpo -c -o src/cpp/libsciapi_scilab_la-api_stack_optional.lo `test -f 'src/cpp/api_stack_optional.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_optional.cpp
1047 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_optional.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_optional.Plo
1048 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_stack_optional.cpp' object='src/cpp/libsciapi_scilab_la-api_stack_optional.lo' libtool=yes @AMDEPBACKSLASH@
1049 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1050 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_stack_optional.lo `test -f 'src/cpp/api_stack_optional.cpp' || echo '$(srcdir)/'`src/cpp/api_stack_optional.cpp
1051
1052 src/cpp/libsciapi_scilab_la-returnProperty.lo: src/cpp/returnProperty.cpp
1053 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-returnProperty.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-returnProperty.Tpo -c -o src/cpp/libsciapi_scilab_la-returnProperty.lo `test -f 'src/cpp/returnProperty.cpp' || echo '$(srcdir)/'`src/cpp/returnProperty.cpp
1054 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-returnProperty.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-returnProperty.Plo
1055 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/returnProperty.cpp' object='src/cpp/libsciapi_scilab_la-returnProperty.lo' libtool=yes @AMDEPBACKSLASH@
1056 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1057 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-returnProperty.lo `test -f 'src/cpp/returnProperty.cpp' || echo '$(srcdir)/'`src/cpp/returnProperty.cpp
1058
1059 src/cpp/libsciapi_scilab_la-returnPropertyList.lo: src/cpp/returnPropertyList.cpp
1060 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-returnPropertyList.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-returnPropertyList.Tpo -c -o src/cpp/libsciapi_scilab_la-returnPropertyList.lo `test -f 'src/cpp/returnPropertyList.cpp' || echo '$(srcdir)/'`src/cpp/returnPropertyList.cpp
1061 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-returnPropertyList.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-returnPropertyList.Plo
1062 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/returnPropertyList.cpp' object='src/cpp/libsciapi_scilab_la-returnPropertyList.lo' libtool=yes @AMDEPBACKSLASH@
1063 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1064 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-returnPropertyList.lo `test -f 'src/cpp/returnPropertyList.cpp' || echo '$(srcdir)/'`src/cpp/returnPropertyList.cpp
1065
1066 src/cpp/libsciapi_scilab_la-api_template_safe.lo: src/cpp/api_template_safe.cpp
1067 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_template_safe.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_template_safe.Tpo -c -o src/cpp/libsciapi_scilab_la-api_template_safe.lo `test -f 'src/cpp/api_template_safe.cpp' || echo '$(srcdir)/'`src/cpp/api_template_safe.cpp
1068 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_template_safe.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_template_safe.Plo
1069 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_template_safe.cpp' object='src/cpp/libsciapi_scilab_la-api_template_safe.lo' libtool=yes @AMDEPBACKSLASH@
1070 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1071 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_template_safe.lo `test -f 'src/cpp/api_template_safe.cpp' || echo '$(srcdir)/'`src/cpp/api_template_safe.cpp
1072
1073 src/cpp/libsciapi_scilab_la-api_template_unsafe.lo: src/cpp/api_template_unsafe.cpp
1074 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_template_unsafe.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_template_unsafe.Tpo -c -o src/cpp/libsciapi_scilab_la-api_template_unsafe.lo `test -f 'src/cpp/api_template_unsafe.cpp' || echo '$(srcdir)/'`src/cpp/api_template_unsafe.cpp
1075 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_template_unsafe.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_template_unsafe.Plo
1076 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_template_unsafe.cpp' object='src/cpp/libsciapi_scilab_la-api_template_unsafe.lo' libtool=yes @AMDEPBACKSLASH@
1077 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1078 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_template_unsafe.lo `test -f 'src/cpp/api_template_unsafe.cpp' || echo '$(srcdir)/'`src/cpp/api_template_unsafe.cpp
1079
1080 src/cpp/libsciapi_scilab_la-api_error.lo: src/cpp/api_error.cpp
1081 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciapi_scilab_la-api_error.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_error.Tpo -c -o src/cpp/libsciapi_scilab_la-api_error.lo `test -f 'src/cpp/api_error.cpp' || echo '$(srcdir)/'`src/cpp/api_error.cpp
1082 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_error.Tpo src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_error.Plo
1083 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/api_error.cpp' object='src/cpp/libsciapi_scilab_la-api_error.lo' libtool=yes @AMDEPBACKSLASH@
1084 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1085 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciapi_scilab_la-api_error.lo `test -f 'src/cpp/api_error.cpp' || echo '$(srcdir)/'`src/cpp/api_error.cpp
1086
1087 mostlyclean-libtool:
1088         -rm -f *.lo
1089
1090 clean-libtool:
1091         -rm -rf .libs _libs
1092         -rm -rf src/cpp/.libs src/cpp/_libs
1093 install-libsciapi_scilab_la_etcDATA: $(libsciapi_scilab_la_etc_DATA)
1094         @$(NORMAL_INSTALL)
1095         @list='$(libsciapi_scilab_la_etc_DATA)'; test -n "$(libsciapi_scilab_la_etcdir)" || list=; \
1096         if test -n "$$list"; then \
1097           echo " $(MKDIR_P) '$(DESTDIR)$(libsciapi_scilab_la_etcdir)'"; \
1098           $(MKDIR_P) "$(DESTDIR)$(libsciapi_scilab_la_etcdir)" || exit 1; \
1099         fi; \
1100         for p in $$list; do \
1101           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1102           echo "$$d$$p"; \
1103         done | $(am__base_list) | \
1104         while read files; do \
1105           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciapi_scilab_la_etcdir)'"; \
1106           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciapi_scilab_la_etcdir)" || exit $$?; \
1107         done
1108
1109 uninstall-libsciapi_scilab_la_etcDATA:
1110         @$(NORMAL_UNINSTALL)
1111         @list='$(libsciapi_scilab_la_etc_DATA)'; test -n "$(libsciapi_scilab_la_etcdir)" || list=; \
1112         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1113         dir='$(DESTDIR)$(libsciapi_scilab_la_etcdir)'; $(am__uninstall_files_from_dir)
1114 install-libsciapi_scilab_la_rootDATA: $(libsciapi_scilab_la_root_DATA)
1115         @$(NORMAL_INSTALL)
1116         @list='$(libsciapi_scilab_la_root_DATA)'; test -n "$(libsciapi_scilab_la_rootdir)" || list=; \
1117         if test -n "$$list"; then \
1118           echo " $(MKDIR_P) '$(DESTDIR)$(libsciapi_scilab_la_rootdir)'"; \
1119           $(MKDIR_P) "$(DESTDIR)$(libsciapi_scilab_la_rootdir)" || exit 1; \
1120         fi; \
1121         for p in $$list; do \
1122           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1123           echo "$$d$$p"; \
1124         done | $(am__base_list) | \
1125         while read files; do \
1126           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciapi_scilab_la_rootdir)'"; \
1127           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciapi_scilab_la_rootdir)" || exit $$?; \
1128         done
1129
1130 uninstall-libsciapi_scilab_la_rootDATA:
1131         @$(NORMAL_UNINSTALL)
1132         @list='$(libsciapi_scilab_la_root_DATA)'; test -n "$(libsciapi_scilab_la_rootdir)" || list=; \
1133         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1134         dir='$(DESTDIR)$(libsciapi_scilab_la_rootdir)'; $(am__uninstall_files_from_dir)
1135 install-libsciapi_scilab_la_includeHEADERS: $(libsciapi_scilab_la_include_HEADERS)
1136         @$(NORMAL_INSTALL)
1137         @list='$(libsciapi_scilab_la_include_HEADERS)'; test -n "$(libsciapi_scilab_la_includedir)" || list=; \
1138         if test -n "$$list"; then \
1139           echo " $(MKDIR_P) '$(DESTDIR)$(libsciapi_scilab_la_includedir)'"; \
1140           $(MKDIR_P) "$(DESTDIR)$(libsciapi_scilab_la_includedir)" || exit 1; \
1141         fi; \
1142         for p in $$list; do \
1143           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1144           echo "$$d$$p"; \
1145         done | $(am__base_list) | \
1146         while read files; do \
1147           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libsciapi_scilab_la_includedir)'"; \
1148           $(INSTALL_HEADER) $$files "$(DESTDIR)$(libsciapi_scilab_la_includedir)" || exit $$?; \
1149         done
1150
1151 uninstall-libsciapi_scilab_la_includeHEADERS:
1152         @$(NORMAL_UNINSTALL)
1153         @list='$(libsciapi_scilab_la_include_HEADERS)'; test -n "$(libsciapi_scilab_la_includedir)" || list=; \
1154         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1155         dir='$(DESTDIR)$(libsciapi_scilab_la_includedir)'; $(am__uninstall_files_from_dir)
1156
1157 ID: $(am__tagged_files)
1158         $(am__define_uniq_tagged_files); mkid -fID $$unique
1159 tags: tags-am
1160 TAGS: tags
1161
1162 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1163         set x; \
1164         here=`pwd`; \
1165         $(am__define_uniq_tagged_files); \
1166         shift; \
1167         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1168           test -n "$$unique" || unique=$$empty_fix; \
1169           if test $$# -gt 0; then \
1170             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1171               "$$@" $$unique; \
1172           else \
1173             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1174               $$unique; \
1175           fi; \
1176         fi
1177 ctags: ctags-am
1178
1179 CTAGS: ctags
1180 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1181         $(am__define_uniq_tagged_files); \
1182         test -z "$(CTAGS_ARGS)$$unique" \
1183           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1184              $$unique
1185
1186 GTAGS:
1187         here=`$(am__cd) $(top_builddir) && pwd` \
1188           && $(am__cd) $(top_srcdir) \
1189           && gtags -i $(GTAGS_ARGS) "$$here"
1190 cscopelist: cscopelist-am
1191
1192 cscopelist-am: $(am__tagged_files)
1193         list='$(am__tagged_files)'; \
1194         case "$(srcdir)" in \
1195           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1196           *) sdir=$(subdir)/$(srcdir) ;; \
1197         esac; \
1198         for i in $$list; do \
1199           if test -f "$$i"; then \
1200             echo "$(subdir)/$$i"; \
1201           else \
1202             echo "$$sdir/$$i"; \
1203           fi; \
1204         done >> $(top_builddir)/cscope.files
1205
1206 distclean-tags:
1207         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1208
1209 distdir: $(BUILT_SOURCES)
1210         $(MAKE) $(AM_MAKEFLAGS) distdir-am
1211
1212 distdir-am: $(DISTFILES)
1213         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1214         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1215         list='$(DISTFILES)'; \
1216           dist_files=`for file in $$list; do echo $$file; done | \
1217           sed -e "s|^$$srcdirstrip/||;t" \
1218               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1219         case $$dist_files in \
1220           */*) $(MKDIR_P) `echo "$$dist_files" | \
1221                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1222                            sort -u` ;; \
1223         esac; \
1224         for file in $$dist_files; do \
1225           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1226           if test -d $$d/$$file; then \
1227             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1228             if test -d "$(distdir)/$$file"; then \
1229               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1230             fi; \
1231             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1232               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1233               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1234             fi; \
1235             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1236           else \
1237             test -f "$(distdir)/$$file" \
1238             || cp -p $$d/$$file "$(distdir)/$$file" \
1239             || exit 1; \
1240           fi; \
1241         done
1242 check-am: all-am
1243         $(MAKE) $(AM_MAKEFLAGS) check-local
1244 check: check-am
1245 all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS) all-local
1246 installdirs:
1247         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciapi_scilab_la_etcdir)" "$(DESTDIR)$(libsciapi_scilab_la_rootdir)" "$(DESTDIR)$(libsciapi_scilab_la_includedir)"; do \
1248           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1249         done
1250 install: install-am
1251 install-exec: install-exec-am
1252 install-data: install-data-am
1253 uninstall: uninstall-am
1254
1255 install-am: all-am
1256         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1257
1258 installcheck: installcheck-am
1259 install-strip:
1260         if test -z '$(STRIP)'; then \
1261           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1262             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1263               install; \
1264         else \
1265           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1266             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1267             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1268         fi
1269 mostlyclean-generic:
1270
1271 clean-generic:
1272
1273 distclean-generic:
1274         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1275         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1276         -rm -f src/cpp/$(DEPDIR)/$(am__dirstamp)
1277         -rm -f src/cpp/$(am__dirstamp)
1278
1279 maintainer-clean-generic:
1280         @echo "This command is intended for maintainers to use"
1281         @echo "it deletes files that may require special tools to rebuild."
1282 clean: clean-am
1283
1284 clean-am: clean-generic clean-libtool clean-local \
1285         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1286
1287 distclean: distclean-am
1288                 -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_error.Plo
1289         -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_boolean.Plo
1290         -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_boolean_sparse.Plo
1291         -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_common.Plo
1292         -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_double.Plo
1293         -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_error.Plo
1294         -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_handle.Plo
1295         -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_hypermat.Plo
1296         -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_int.Plo
1297         -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_list.Plo
1298         -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_optional.Plo
1299         -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_pointer.Plo
1300         -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_poly.Plo
1301         -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_sparse.Plo
1302         -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_string.Plo
1303         -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_template_safe.Plo
1304         -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_template_unsafe.Plo
1305         -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-returnProperty.Plo
1306         -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-returnPropertyList.Plo
1307         -rm -f Makefile
1308 distclean-am: clean-am distclean-compile distclean-generic \
1309         distclean-local distclean-tags
1310
1311 dvi: dvi-am
1312
1313 dvi-am:
1314
1315 html: html-am
1316
1317 html-am:
1318
1319 info: info-am
1320
1321 info-am:
1322
1323 install-data-am: install-data-local \
1324         install-libsciapi_scilab_la_etcDATA \
1325         install-libsciapi_scilab_la_includeHEADERS \
1326         install-libsciapi_scilab_la_rootDATA
1327
1328 install-dvi: install-dvi-am
1329
1330 install-dvi-am:
1331
1332 install-exec-am: install-pkglibLTLIBRARIES
1333
1334 install-html: install-html-am
1335
1336 install-html-am: install-html-local
1337
1338 install-info: install-info-am
1339
1340 install-info-am:
1341
1342 install-man:
1343
1344 install-pdf: install-pdf-am
1345
1346 install-pdf-am:
1347
1348 install-ps: install-ps-am
1349
1350 install-ps-am:
1351
1352 installcheck-am:
1353
1354 maintainer-clean: maintainer-clean-am
1355                 -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_error.Plo
1356         -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_boolean.Plo
1357         -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_boolean_sparse.Plo
1358         -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_common.Plo
1359         -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_double.Plo
1360         -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_error.Plo
1361         -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_handle.Plo
1362         -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_hypermat.Plo
1363         -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_int.Plo
1364         -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_list.Plo
1365         -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_optional.Plo
1366         -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_pointer.Plo
1367         -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_poly.Plo
1368         -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_sparse.Plo
1369         -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_stack_string.Plo
1370         -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_template_safe.Plo
1371         -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-api_template_unsafe.Plo
1372         -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-returnProperty.Plo
1373         -rm -f src/cpp/$(DEPDIR)/libsciapi_scilab_la-returnPropertyList.Plo
1374         -rm -f Makefile
1375 maintainer-clean-am: distclean-am maintainer-clean-generic
1376
1377 mostlyclean: mostlyclean-am
1378
1379 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1380         mostlyclean-libtool
1381
1382 pdf: pdf-am
1383
1384 pdf-am:
1385
1386 ps: ps-am
1387
1388 ps-am:
1389
1390 uninstall-am: uninstall-libsciapi_scilab_la_etcDATA \
1391         uninstall-libsciapi_scilab_la_includeHEADERS \
1392         uninstall-libsciapi_scilab_la_rootDATA \
1393         uninstall-pkglibLTLIBRARIES
1394
1395 .MAKE: check-am install-am install-strip
1396
1397 .PHONY: CTAGS GTAGS TAGS all all-am all-local am--depfiles check \
1398         check-am check-local clean clean-generic clean-libtool \
1399         clean-local clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES \
1400         cscopelist-am ctags ctags-am distclean distclean-compile \
1401         distclean-generic distclean-libtool distclean-local \
1402         distclean-tags distdir dvi dvi-am html html-am info info-am \
1403         install install-am install-data install-data-am \
1404         install-data-local install-dvi install-dvi-am install-exec \
1405         install-exec-am install-html install-html-am \
1406         install-html-local install-info install-info-am \
1407         install-libsciapi_scilab_la_etcDATA \
1408         install-libsciapi_scilab_la_includeHEADERS \
1409         install-libsciapi_scilab_la_rootDATA install-man install-pdf \
1410         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1411         install-ps-am install-strip installcheck installcheck-am \
1412         installdirs maintainer-clean maintainer-clean-generic \
1413         mostlyclean mostlyclean-compile mostlyclean-generic \
1414         mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
1415         uninstall-am uninstall-libsciapi_scilab_la_etcDATA \
1416         uninstall-libsciapi_scilab_la_includeHEADERS \
1417         uninstall-libsciapi_scilab_la_rootDATA \
1418         uninstall-pkglibLTLIBRARIES
1419
1420 .PRECIOUS: Makefile
1421
1422
1423 # This target enables tests for Scilab
1424 check-local: $(top_builddir)/scilab-bin test
1425         if test -d $(mydatadir)/tests; then \
1426           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1427         fi
1428 check-code:
1429         if test -f build.xml; then \
1430                 $(ANT) checkstyle; \
1431         fi
1432         if test -x "$(SPLINT)"; then \
1433                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1434         fi
1435 @NEED_JAVA_TRUE@java:
1436 # Some configurations needs to export JAVA_HOME in the current env
1437 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1438 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1439 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1440 @NEED_JAVA_TRUE@                $(ANT); \
1441 @NEED_JAVA_TRUE@        fi
1442
1443 @NEED_JAVA_TRUE@clean-java:
1444 # Some configurations needs to export JAVA_HOME in the current env
1445 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1446 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1447 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1448 @NEED_JAVA_TRUE@                $(ANT) clean; \
1449 @NEED_JAVA_TRUE@        fi;
1450
1451 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1452 # We call the target swig-build on the variable SWIG_WRAPPERS
1453
1454 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1455 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1456 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1457 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1458 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1459 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1460 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1461 @SWIG_TRUE@             done; \
1462 @SWIG_TRUE@     fi
1463
1464 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1465 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1466 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1467 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1468 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1469 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
1470 @SWIG_TRUE@             done; \
1471 @SWIG_TRUE@     fi
1472
1473 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1474 # We call the target swig-build on the variable SWIG_WRAPPERS
1475
1476 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1477 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1478 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1479 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1480 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1481 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1482 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1483 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1484 @GIWS_TRUE@                     else \
1485 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1486 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1487 @GIWS_TRUE@                     fi \
1488 @GIWS_TRUE@             done; \
1489 @GIWS_TRUE@     fi
1490
1491 @GIWS_TRUE@giws-exception:
1492 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1493 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1494 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1495
1496 macros:
1497         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1498                 echo "Error : Cannot build $< : Scilab has not been built"; \
1499         else \
1500                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1501         fi)
1502
1503 # Removes the macros
1504 clean-macros:
1505 # Removes macros (*.bin generated from .sci)
1506         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1507                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1508                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1509         done
1510
1511 test:
1512 # More tests could be added here
1513         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1514         if test -f build.xml -a $$USEANT -eq 1; then \
1515                 $(ANT) test; \
1516         fi
1517
1518 all-local: $(TARGETS_ALL)
1519
1520 .sci.bin:
1521         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1522         echo "Error : Cannot build $< : Scilab has not been build"; \
1523         else \
1524         echo "Creating $@"; \
1525         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1526         fi )
1527
1528 install-html-local:
1529
1530 install-data-local-local:
1531 # Mainly for javasci
1532         @if test -d $(srcdir)/javadoc; then \
1533                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1534         fi
1535 # If the user wants the help sources to be installed
1536 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1537 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1538 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1539 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1540 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1541 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1542 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1543 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1544 @INSTALL_HELP_XML_TRUE@           done ; \
1545 @INSTALL_HELP_XML_TRUE@         fi; \
1546 @INSTALL_HELP_XML_TRUE@  fi; \
1547 @INSTALL_HELP_XML_TRUE@ done; \
1548 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1549 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1550 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1551 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1552 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1553 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1554 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1555 @INSTALL_HELP_XML_TRUE@           done ; \
1556 @INSTALL_HELP_XML_TRUE@         fi; \
1557 @INSTALL_HELP_XML_TRUE@ fi
1558 install-data-local:
1559 # Install the tests
1560         @echo "-------- Install tests (if any) --------"; \
1561         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1562           if test -d $(srcdir)/$$dir/; then \
1563             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1564                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1565                     if test -d "$(srcdir)/$$dir/$$file"; then \
1566                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1567                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1568                     else \
1569                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1570                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1571                     fi \
1572                   done; \
1573           fi; \
1574         done
1575 # Install the help chapter
1576         @echo "-------- Install the help chapter (if any) --------"; \
1577         for lang in $(HELP_CHAPTERLANG); do \
1578                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1579                 if test -f $$HELPFILE; then \
1580                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1581                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1582                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1583                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1584                 fi; \
1585         done
1586 # Install the demos & examples
1587         @echo "-------- Install demos & examples (if any) --------"; \
1588         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1589           if test -d $(srcdir)/$$dir/; then \
1590             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1591                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1592                     if test -d "$(srcdir)/$$dir/$$file"; then \
1593                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1594                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1595                     else \
1596                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1597                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1598                     fi \
1599                   done; \
1600           fi; \
1601         done
1602 # Install the macros
1603         @echo "-------- Install macros (if any) --------"; \
1604         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1605           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1606                 if test -d $(srcdir)/$$dir/; then \
1607                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1608                         if test -n "$(MACROSSPECIALEXT)"; then \
1609                                 specialExtDir=""; \
1610                                 for specialExt in $(MACROSSPECIALEXT); do \
1611                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1612                                 done; \
1613                                 FILELIST="$$FILELIST $$specialExtDir"; \
1614                         fi; \
1615                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1616                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1617                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1618                   done; \
1619                 fi; \
1620         done
1621 # Install java files (.jar)
1622         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1623         echo "-------- Install jar files --------"; \
1624     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1625           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1626                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1627                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1628           done ; \
1629         fi
1630
1631 ########### CLEAN ###################
1632 # Clean help (generated automatically by Scilab)
1633 # It used to clean the macro (clean-macros) but this was causing
1634 # make clean && make to fail Scilab startup
1635 @NEED_JAVA_TRUE@clean-local: clean-java
1636 @NEED_JAVA_FALSE@clean-local:
1637
1638 distclean-local:
1639         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1640
1641 .PHONY: macros java swig giws
1642
1643 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1644 # Otherwise a system limit (for SysV at least) may be exceeded.
1645 .NOEXPORT: